--- build.gradle.orig	2021-10-02 23:08:05 UTC
+++ build.gradle
@@ -20,10 +20,13 @@ import org.gradle.nativeplatform.platform.internal.Ope
 import org.gradle.nativeplatform.platform.internal.DefaultNativePlatform
 import org.xml.sax.SAXParseException
 
-plugins {
-   id 'de.fuerstenau.buildconfig' version '1.1.8'
+buildscript {
+  dependencies {
+    classpath files ("../jars/BuildConfigPlugin-1.1.8.jar")
+  }
 }
 
+apply plugin: 'de.fuerstenau.buildconfig'
 apply plugin: 'java'
 apply plugin: 'application'
 apply plugin: 'idea'
@@ -86,10 +89,18 @@ static String getTarget() {
     return target
 }
 
+
 repositories {
-    maven {url "https://gitlab.com/api/v4/groups/6853927/-/packages/maven"} // https://gitlab.com/groups/signald/-/packages
-    maven {url "https://plugins.gradle.org/m2/"}
-    mavenCentral()
+  ivy {
+    url "../jars"
+    metadataSources {
+      artifact()
+    }
+    patternLayout {
+      artifact "[artifact]-[revision](-[classifier]).[ext]"
+      artifact "[artifact].[ext]"
+    }
+  }
 }
 
 sourceSets {
@@ -109,21 +120,37 @@ configurations {
 }
 
 dependencies {
-    implementation 'com.github.turasa:signal-service-java-' + getTarget() + ':2.15.3_unofficial_27'
+    implementation 'com.github.turasa:signal-service-java:2.15.3_unofficial_27'
     implementation 'org.bouncycastle:bcprov-jdk15on:1.66'
     implementation 'com.kohlschutter.junixsocket:junixsocket-common:2.3.2'
     implementation 'com.kohlschutter.junixsocket:junixsocket-native-common:2.3.2'
-    implementation 'org.apache.logging.log4j:log4j-api:2.14.0'
-    implementation 'org.apache.logging.log4j:log4j-core:2.14.0'
+    implementation 'org.apache.logging.log4j:log4j-api:2.17.0'
+    implementation 'org.apache.logging.log4j:log4j-core:2.17.0'
     implementation 'org.slf4j:slf4j-nop:1.8.0-beta4'
+    implementation 'org.slf4j:slf4j-api:1.8.0-beta4'
     implementation 'info.picocli:picocli:4.5.2'
-    implementation 'org.xerial:sqlite-jdbc:3.34.0'
+    implementation files('sqlitejdbc-native.jar')
+    implementation 'com.fasterxml.jackson.core:jackson-core:2.9.9'
+    implementation 'com.fasterxml.jackson.annotations:jackson-annotations:2.9.0'
+    implementation 'com.fasterxml.jackson.databind:jackson-databind:2.9.9.2'
+    implementation 'org.whispersystems.libsignal.signal-client-java:signal-client-java:0.9.6'
+    implementation 'org.signal.zkgroup:zkgroup-java:0.7.3'
     implementation 'org.flywaydb:flyway-core:7.5.3'
     implementation 'com.google.protobuf:protobuf-javalite:3.10.0'
     implementation 'io.prometheus:simpleclient:0.11.0'
     implementation 'io.prometheus:simpleclient_hotspot:0.11.0'
     implementation 'io.prometheus:simpleclient_httpserver:0.11.0'
+    implementation 'io.reactivex.rxjava3:rxjava:3.1.2'
     implementation 'com.squareup.okhttp3:logging-interceptor:4.9.1'
+    implementation 'okhttp3:okhttp:4.9.1'
+    implementation 'okio:okio:2.6.0'
+    implementation 'org.jetbrains.annotations:annotations:13.0'
+    implementation 'org.jetbrains.kotlin.kotlin-stdlib:kotlin-stdlib:1.3.71'
+    implementation 'org.jetbrains.kotlin.kotlin-stdlib-common:kotlin-stdlib-common:1.3.71'
+    implementation 'org.reactivestreams:reactive-streams:1.0.3'
+    implementation 'com.googlecode.libphonenumber:libphonenumber:8.12.17'
+    implementation 'com.googlecode.libphonenumber:libphonenumber:8.12.17'
+    implementation 'org.threeten.threetenbp:threetenbp:1.3.6'
     testImplementation 'org.junit.jupiter:junit-jupiter-api:5.8.0'
     testImplementation 'org.junit.jupiter:junit-jupiter-params:5.8.0'
     testRuntimeOnly 'org.junit.jupiter:junit-jupiter-engine:5.8.0'
